define(function(require, exports, module) {
	function init() {
		/**
		 * 通过url获取param
		 */
		function getParam() {
			var a = window.location.href,
				b = a.indexOf("?") > -1 ? a.substring(a.indexOf("?") + 1).split("&") : [],
				c = {};
			return b.forEach(function(a) {
				a = a.split("="), c[a[0]] = decodeURIComponent(a[1] || "")
			}), JSON.parse(JSON.stringify(c))
		}
		/**
		 * 通过url获取pageCode
		 */
		function getPageCode() {
			var a = window.location.href;
			if (-1 == a.indexOf("#!/")) return "";
			var b = a.indexOf("#!/") + 3,
				c = -1 == a.lastIndexOf(".html") ? a.length : a.lastIndexOf(".html");
			return a.substring(b, c)
		}
		/**
		 * 初始化页面
		 */
		function pageInit() {
			var pageCode = getPageCode(),
				param = getParam();
			//require.async(gconfig.scriptsPath + pageCode, function(page) {
			if (appUtils.clearTempAsync(module.uri), pageCode) {
				appUtils.pageInit(appUtils.getSStorageInfo("_prePageCode"), pageCode, param);
			} else {
				var b = appUtils.getLStorageInfo("isGuided");
				if ("true" == b) {
					var d = gconfig.defaultPage;
					appUtils.pageInit(appUtils.getSStorageInfo("_prePageCode"), d.pageCode, d.jsonParam);
				} else {
					var g = gconfig.guidePage;
					if (g) appUtils.pageInit(appUtils.getSStorageInfo("_prePageCode"), g.pageCode, g.jsonParam);
					else {
						var d = gconfig.defaultPage;
						appUtils.pageInit(appUtils.getSStorageInfo("_prePageCode"), d.pageCode, d.jsonParam);
					}
				}
			}
			//})
		}
		/**
		 * 历史状态变更事件
		 */
		function historyState() {
			window.onpopstate = function(b) {
				if (!window.history || !window.history.pushState) return !1;
				if (b && b.state) {
					var d = b.state,
						f = (d.prePageCode, d.pageCode),
						g = d.param,
						h = d.isLastReq,
						i = d.isShowWait,
						l = d.isShowOverLay,
						m = appUtils.getSStorageInfo("_curPageCode"),
						n = f.replaceAll("/", "_");
					if (appUtils.setSStorageInfo("_curPage", JSON.stringify(d)), $("#" + n).length < 1 || "yes" == $("#" + n).attr("data-refresh") || "true" == $("#" + n).attr("data-refresh")) appUtils.pageInit(m, f, g, h, i, l);
					else {
						var o = $("#" + n).attr("data-pageTitle");
						o = o ? o : "3GWeb", document.title = o, m = m && "null" != m ? m : "", appUtils.clearRequest(), require.async(gconfig.scriptsPath + m, function(a) {
							appUtils.clearTempAsync(module.uri), a.destroy ? a.destroy() : appUtils.pageResetValue(m.replaceAll("/", "_")), appUtils.switchPage(n), appUtils.setSStorageInfo("_curPageCode", f)
						})
					}
				} else appUtils.preHashUrl != location.href && -1 != location.href.indexOf("#!") ? appUtils.startInitFlag && pageInit() : history.go(-1)
			}
		}

		function g() {
			"0" != gconfig.platform && "3" != gconfig.platform && require.async("cordova", function() {
				appUtils.clearTempAsync(module.uri), require.async("shellPlugin", function(a) {
					appUtils.clearTempAsync(module.uri), document.addEventListener("deviceready", function() {
						a.onDeviceReady()
					}, !1)
				})
			})
		}

		function h() {
			if (gconfig.isControlProcess) {
				var a = appUtils.getLStorageInfo("_freeTime");
				a && a != gconfig.freeTime ? gconfig.freeTime = a : appUtils.setLStorageInfo("_freeTime", gconfig.freeTime), appUtils.bindEvent($(document), function() {
					gconfig.isControlProcess && (m = (new Date).getTime())
				}), setInterval(function() {
					(new Date).getTime() - m > 60 * gconfig.freeTime * 1e3 && (m = (new Date).getTime(), i())
				}, 6e4)
			}
		}

		function i() {
			var a = appUtils.getSStorageInfo("_curPage"),
				b = JSON.parse(a),
				c = gconfig.loginPage;
			b && b.pageCode != c.pageCode && "true" == appUtils.getSStorageInfo("_isLoginIn") && (appUtils.pageInit(appUtils.getSStorageInfo("_prePageCode"), c.pageCode, c.jsonParam), setTimeout(function() {
				layerUtils.iAlert("您长时间不操作，系统已自动退出！")
			}, 400))
		}

		seajs._asyncNum = 1;
		var appUtils = require("appUtils"),
			gconfig = require("gconfig"),
			layerUtils = require("layerUtils"),
			talkingdata=require("talkingdata"),
			m = (new Date).getTime();
		//talkingdata.changeColor(function(){
			require.async(gconfig.firstLoadCss, function() {
				appUtils.clearTempAsync(module.uri);
				var str = appUtils.getSStorageInfo("_curPage"),
					curPage = JSON.parse(str);
				//window.location.href
				if (curPage && getPageCode() == curPage.pageCode) {
					var prePageCode = curPage.prePageCode,
						pageCode = curPage.pageCode,
						param = "{}" != JSON.stringify(getParam()) && getParam() != curPage.param ? getParam() : curPage.param,
						isLastReq = curPage.isLastReq,
						isShowWait = curPage.isShowWait,
						isShowOverLay = curPage.isShowOverLay;
					appUtils.pageInit(prePageCode, pageCode, param, isLastReq, isShowWait, isShowOverLay);
					appUtils.startInitFlag = !1;
					//setTimeout(function() {
					historyState();
					//}, 200);
					//g();
					//h();
				} else {
					//setTimeout(function() {
					pageInit();
					//}, 200);
					appUtils.startInitFlag = !1;
					//setTimeout(function() {
					historyState();
					//}, 200);
					//g();
					//h();
				}

				//鼠标右键提示
				// document.onmousedown = function(e) {
				// 	e && e.button && 2 == e.button && alert("对不起,禁止使用此功能^_^");
				// };
			});
		//});

	}
	module.exports = {
		init: init
	}
});