define(function(require, exports, module) {
	/**
	 * 终止请求
	 */
	function clearAjaxReq() {
		for (var i = 0; i < req.length; i++) {
			var xhr = req[i];
			xhr && (xhr.abort(), xhr = null, req[i] = null);
		}
		req = [];
	}
	/**
	 * 发起后台请求
	 */
	function reqByAjax(url, data, callback, e, f, k, l, m, n, o) {
		//设置入参默认值
		e = "undefined" == typeof e || "" === e ? !0 : e,
		f = "undefined" == typeof f || "" === f ? !0 : f,
		k = "undefined" == typeof k || "" === k ? !0 : k,
		l = "undefined" == typeof l || "" === l ? !0 : l,
		m = m || "请等待...",
		o = o || "json";
		//接口描述
		var p = data.infDescribe ? data.infDescribe : "";
		delete data.infDescribe;
		//data处理
		for (var key in data) {
			var r = data[key] + "";
			null === r || void 0 === r || "" === r || "null" === r.trim().toLowerCase() || "undefined" === r.trim().toLowerCase() ? data[key] = "" : (r = encodeURIComponent(r), data[key] = r);
		}
		//发起请求
		var s = $.ajax({
			url: url,
			data: data,
			type: "post",
			dataType: o,
			async: f,
			xhrFields: {
				withCredentials: !0
			},
			beforeSend: function(result) {
				var b = decrypt("jsessionid"),
					d = decrypt("clientinfo");
				b = b ? b : data.jsessionid, d = d ? d : data.clientinfo;
				var e = "JSESSIONID=" + (b ? b : "") + ";clientinfo=" + (d ? d : "") + ";";
				result.setRequestHeader("Cookie", e), delete data.jsessionid, delete data.clientinfo, k && layerUtils.iLoading(!0, m, l)
			},
			success: function(result) {
				result ? callback && callback(result) : layerUtils.iAlert(p + ">>后台返回数据格式不正确，请联系管理员！")
			},
			complete: function() {
				e && layerUtils.iLoading(!1)
			},
			error: function() {
				layerUtils.iLoading(!1), require("gconfig").global.isOnline === !1 && layerUtils.iMsg(-1, "您的网络异常，请检查你的网络设置", 1)
			}
		});
		//保存请求
		req.push(s);
		//请求超时
		var t = require("gconfig").ajaxTimeout;
		setTimeout(function() {
			s && s.readyState && 4 != s.readyState && (s.abort(), n ? n() : layerUtils.iAlert(p + ">>请求超时！"))
		}, 1e3 * parseInt(t))
	}
	/**
	 * 页面载入请求
	 */
	function ajaxPageDiv(url, callback, c, d, e, f) {
		c = "undefined" == typeof c || "" === c ? !0 : c,
		d = "undefined" == typeof d || "" == d ? !0 : d,
		e = "undefined" == typeof e || "" === e ? !0 : e,
		f = "undefined" == typeof f || "" === f ? !0 : f,
		$.ajax({
			url: url + "?v=" + seajs._sysVersion,
			type: "get",
			dataType: "html",
			async: d,
			xhrFields: {
				withCredentials: !0
			},
			beforeSend: function() {
				e && layerUtils.iLoading(!0, "请等待...", f)
			},
			success: function(result) {
				result ? callback && callback(result) : console.log("请求html页面异常或者页面不存在！>>" + url)
			},
			complete: function() {
				c && layerUtils.iLoading(!1)
			},
			error: function() {
				layerUtils.iLoading(!1), console.log("请求html页面异常！>>" + url)
			}
		})
	}
	/**
	 * 解密缓存项目
	 */
	function decrypt(b) {
		var c = sessionStorage.getItem(b);
		c = c ? c : "";
		var d = require("gconfig").global.aesKey;
		if (d) {
			var e = require("{pluginBaseUrl}plugins/endecrypt/scripts/aes"),
				f = e.enc.Utf8.parse(d),
				g = e.enc.Utf8.parse(d),
				h = e.enc.Base64.parse(c),
				i = e.AES.decrypt({
					ciphertext: h
				}, f, {
					iv: g,
					mode: e.mode.CBC
				});
			c = i.toString(e.enc.Utf8)
		}
		return c ? c : null
	}
	var $ = jQuery = require("jquery"),
		layerUtils = require("layerUtils"),
		req = [],
		k = {
			clearAjaxReq: clearAjaxReq,
			reqByAjax: reqByAjax,
			ajaxPageDiv: ajaxPageDiv
		};
	module.exports = k
});