/**
 * 开|转户结果
 */
define("project/scripts/account/accountResult", function(require, exports, module) {
	var appUtils = require("appUtils"),
		gconfig = require("gconfig"),
		layerUtils = require("layerUtils"),
		utils = require("utils"),
		global = gconfig.global,
		shellPlugin = require("shellPlugin"),
		talkingdata = require("talkingdata"),
		publicMethod=require("PublicMethod"),
		_pageId = "#account_accountResult";
	var SynRegister = 2;

	function init() {
		// ios 没有退出功能
		if (gconfig.platform == 2 || gconfig.platform == 3) {
			$(_pageId + " #finishOut").hide();
		}
		/*$(_pageId + " .header .icon_back").hide();*/
		$(_pageId + " .order_succes h5:eq(0)").text("开户申请成功！");
		copyDataToCustInfo();
		starRate();
		isSdk();
		//联合注册一帐通.
		SynRegisterAccount();
		getBanner();
		getBanner2();
		getBanner3();
		//埋点
		talkingdata.record("ACCOUNTRESULT", "ACCOUNTRESULT_1601");
	}
//判断是否是SDK
	function isSdk(){
		if (global.isSDK == false) {
			$(_pageId+" .icon_back").hide();
			$(_pageId+" .main_n1").show();
		}
	}
	//添加顶部广告位
	function showAuto(){
		var bannerWidth=$("body").width();
		$(_pageId+" .resultTopBanner").MobileSlider({width:bannerWidth,height:85,during:5000});
	}
	function getBanner(){
		var queryParam={
			"funcNo": 700019,
			"banner_page": 3
		};
		appUtils.invokeServer(global.serverPath, queryParam, function(data){
			if(data.error_no == "0"){
				var imgAds=data.results;
				var bNum=imgAds.length;
				if(bNum > 0){
					$(_pageId+" #imgBanners").show();
					$(_pageId+" #imgBanners ul").html('');
					$(_pageId+" #imgBanners .focus").remove();
					var bannerWidth=$("body").width();
					$(_pageId+" #imgBanners ul").width(bannerWidth*bNum);
					var bannerHtml = '';
					bannerHtml += renderBannerItem(imgAds,bNum-1,0);
					for(var i=0;i<bNum;i++){
						bannerHtml += renderBannerItem(imgAds,i,i+1);
					}
					bannerHtml += renderBannerItem(imgAds,0,bNum+1);
					$(_pageId+" #imgBanners ul").append(bannerHtml);
					showAuto();
				}

			}

		});
	}
	function renderBannerItem(imgAds,i,targetId){
		var imgDom='<li><img src="'+imgAds[i].banner_image+'" alt="banner"  style="height:5.3rem;" id="imgAds2'+targetId+'"  url-link="'+imgAds[i].banner_url+'"></li>';
		$(_pageId+" #imgBanners ul li").width($("body").width()).height(85);
		appUtils.preBindEvent($(_pageId+" #imgBanners ul"),"#imgAds2"+targetId,function(e){
			var param = {
				"url" : $(this).attr("url-link"),
				"background-color": publicMethod.getThemeNo()
			};
			shellPlugin.callShellMethod("webViewPlugin", null,null,param);
		});
		return imgDom;
	}
	//广告位二
	function getBanner2(){
		var queryParam={
			"funcNo": 700019,
			"banner_page": 4
		};
		appUtils.invokeServer(global.serverPath, queryParam, function(data){
			if(data.error_no == "0"){
				var imgAds=data.results;
				var bNum=imgAds.length;
				if(bNum > 0){
					$("#imgBanners2").show();
					for(var i=0;i<bNum;i++){
						var imgDom='<li><img src="'+imgAds[i].banner_image+'" alt="banner" id="imgAds2'+i+'"  url-link="'+imgAds[i].banner_url+'"></li>';
						$("#imgBanners2 ul").append(imgDom);
						appUtils.preBindEvent($("#imgBanners2 ul"),"#imgAds2"+i,function(e){
							var param = {
								"url" : $(this).attr("url-link"),
								"background-color": publicMethod.getThemeNo()

							};
							shellPlugin.callShellMethod("webViewPlugin", null,null,param);
						});
					}

				}else{
					$("#imgBanners2").hide();
					checkIfHideProductImg();
				}
			}

		});
	}
	//广告位三
	function getBanner3(){
		var queryParam={
			"funcNo": 700019,
			"banner_page": 5
		};
		appUtils.invokeServer(global.serverPath, queryParam, function(data){
			if(data.error_no == "0"){
				var imgAds=data.results;
				var bNum=imgAds.length;
				if(bNum > 0){
					$("#imgBanners3").show();
					for(var i=0;i<bNum;i++){
						var imgDom='<li><img src="'+imgAds[i].banner_image+'" alt="banner" id="imgAds3'+i+'"  url-link="'+imgAds[i].banner_url+'"></li>';
						$("#imgBanners3 ul").append(imgDom);
						appUtils.preBindEvent($("#imgBanners3 ul"),"#imgAds3"+i,function(e){
							var param = {
								"url" : $(this).attr("url-link"),
								"background-color": publicMethod.getThemeNo()

							};
							shellPlugin.callShellMethod("webViewPlugin", null,null,param);
						});
					}
				}else{
					$("#imgBanners3").hide();
					checkIfHideProductImg();
				}

			}

		});
	}

	function checkIfHideProductImg(){
		if($("#imgBanners2").css('display') == 'none' && $("#imgBanners3").css('display') == 'none'){
			$('.productBaner').parent('div').hide();
		}else{
			$('.productBaner').parent('div').show();
		}
	}

	//是否联合注册一帐通（700004）1-未选择 2-选择
	function SynRegisterAccount() {
		if ($("#sysAccount").hasClass("checked")) {
			SynRegister = 2;
		} else {
			SynRegister = 1;
		}
		var param = {
			"funcNo": 700004,
			"user_id": appUtils.getSStorageInfo("user_id"),
			"toa_select": SynRegister,
			"clientinfo": appUtils.getSStorageInfo("clientinfo"),
			"jsessionid": appUtils.getSStorageInfo("jsessionid")
		};
		appUtils.invokeServer(global.serverPath, param, function(data) {
			if (data.error_no != 0) {
				layerUtils.iAlert(data.error_info);
			}
		});
	}

	// 复制数据到 t_custom_info 表
	function copyDataToCustInfo() {
		var vedioPassParam = {
			"funcNo": 501599,
			"user_id": appUtils.getSStorageInfo("user_id"),
			"canBatch": 1,
			"clientinfo": appUtils.getSStorageInfo("clientinfo"),
			"jsessionid": appUtils.getSStorageInfo("jsessionid")
		};
		appUtils.invokeServer(global.serverPath, vedioPassParam, function(data) {
			if (data.error_no != 0) {
				layerUtils.iAlert(data.error_info);
			}
		});
	}


	//评分系统
	function starRate() {
		var oStar = document.getElementById("star");
		var aLi = oStar.getElementsByTagName("li");
		var oUl = oStar.getElementsByTagName("ul")[0];
		var oSpan = oStar.getElementsByTagName("span")[0];
		oSpan.innerHTML = "5 分";
		var i = iScore = iStar = 5;
		for (i = 1; i <= aLi.length; i++) {
			aLi[i - 1].index = i;
			//鼠标移过显示分数
			aLi[i - 1].onmouseover = function() {
				//分数赋值
				iScore = this.index || iStar;
				for (i = 0; i < aLi.length; i++) aLi[i].className = i < iScore ? "on" : "";
			};
			//鼠标离开后恢复上次评分
			aLi[i - 1].onmouseout = function() {
				iScore = iStar;
				for (i = 0; i < aLi.length; i++) aLi[i].className = i < iScore ? "on" : "";
			};
			//点击后进行评分处理
			aLi[i - 1].onclick = function() {
				//埋点
				talkingdata.record("ACCOUNTRESULT", "ACCOUNTRESULT_1605");
				iStar = this.index;
				console.log(oSpan);
				oSpan.innerHTML = (this.index) + " 分";
			};
		}
	}

	function bindPageEvent() {
		var ljsSkin = "";
			if (sessionStorage.getItem("skinColor") == "ljs") {
				ljsSkin = "#5D6BC3";
			}
			// 绑定FAQ常见问题按钮
			publicMethod.bindProblemEvent(_pageId);

			appUtils.bindEvent($(_pageId), function () {
				$(_pageId + " .header_icon").hide();
			});

			appUtils.bindEvent($(_pageId + " #a_setting"), function (event) {
				$(_pageId + " .header_icon").toggle();
				event.stopPropagation();
			});

			appUtils.bindEvent($(_pageId + " #a_phone"), function () {
				utils.callKHRXPhone("4000-188-288");
				//埋点
				talkingdata.record("ACCOUNTRESULT", "ACCOUNTRESULT_1602");
			});

			appUtils.bindEvent($(_pageId + " #recommenderInfo"), function () {

				shellPlugin.callShellMethod("recommenderPlugin", null, null, null);

			});


			//注册一帐通
			appUtils.bindEvent($(_pageId + " a.icon_check2"), function () {
				$(this).toggleClass("checked");
				SynRegisterAccount();
				//埋点
				talkingdata.record("ACCOUNTRESULT", "ACCOUNTRESULT_1604");
			});

			//一帐通协议
			appUtils.bindEvent($(_pageId + " #linkProtocal"), function () {
				var webUrl = "https://member.pingan.com.cn/pinganone/pa/paoasp.screen?shbtn=1";
				var param = {
					"url": webUrl,
					"title": "平安证券-一帐通协议",
					"background-color": publicMethod.getThemeNo()

				};
				shellPlugin.callShellMethod("webViewPlugin", null, null, param);
			});
			/*appUtils.bindEvent($(_pageId + " .header .icon_back"), function() {
			 appUtils.pageBack();
			 });*/
			appUtils.bindEvent($(_pageId + " .header .icon_back"), function () {
				shellPlugin.callShellMethod("closeAppPlugin", null, null, {});
			});
			appUtils.bindEvent($(_pageId + " #btn_download1"), function () {
				shellPlugin.callShellMethod("closeAppPlugin", null, null, {});
				//埋点
				talkingdata.record("ACCOUNTRESULT", "ACCOUNTRESULT_1705");
			});
			appUtils.bindEvent($(_pageId + " .fix_bot .ct_btn2"), function () {
				shellPlugin.callShellMethod("closeAppPlugin", null, null, {});
				//埋点
				talkingdata.record("ACCOUNTRESULT", "ACCOUNTRESULT_1705");
			});

			//券e融预开户
			appUtils.bindEvent($(_pageId + " #open_qer"), function () {
				//FAT http://10.25.153.173:30094/stockPledge/index.html#/agreement?userid=xx
				//UAT http://10.25.151.43:30549/stockPledge/index.html#/agreement?userid=xx
				//生产     https://ay.pingan.com/stockPledge/index.html#/agreement?userid=xx
				var webUrl = "https://ay.pingan.com/stockPledge/index.html#/agreement?userid=" + appUtils.getSStorageInfo("user_id");
				var param = {
					"url": webUrl,
					"title": "平安证券-券e融预开户",
					"background-color": publicMethod.getThemeNo()

				};
				shellPlugin.callShellMethod("webViewPlugin", null, null, param);
			});

			if (gconfig.platform == 2 || gconfig.platform == 3) {
				appUtils.bindEvent($(_pageId + " #btn_download"), function () {
					var webViewParam = {
						"url": "http://itunes.apple.com/cn/app/ane-li-cai-gao-duan-ban/id636344719?mt=8",
						"background-color": publicMethod.getThemeNo()

					};
					shellPlugin.callShellMethod("webViewPlugin", null, null, webViewParam);
				});
			} else {
				appUtils.bindEvent($(_pageId + " #btn_download"), function () {
					shellPlugin.callShellMethod("startThirdAppPlugin", null, null, {});
					//埋点
					talkingdata.record("ACCOUNTRESULT", "ACCOUNTRESULT_1606");
				});
			}

			//小安机器人
			publicMethod.bindXiaoAnEvent(_pageId,true);

			appUtils.bindEvent($(_pageId + " #noviceZone"), function () {
				var webUrl = "https://stock.pingan.com.cn/html/aylc/newtask/index.html?v=5.10";
				var param = {
					"url": webUrl,
					"title": "新手专区",
					"background-color": publicMethod.getThemeNo()

				};
				shellPlugin.callShellMethod("webViewPlugin", null, null, param);
			});

			appUtils.bindEvent($(_pageId + " #eCalendar"), function () {
				var webUrl = "https://stock.pingan.com.cn/html/aylc/economiccalendar/index.html?v=5.10";
				var param = {
					"url": webUrl,
					"title": "财经日历",
					"background-color": publicMethod.getThemeNo()

				};
				shellPlugin.callShellMethod("webViewPlugin", null, null, param);
			});

			appUtils.bindEvent($(_pageId + " #fNiugu"), function () {
				var webUrl = "http://stock.pingan.com/huodong/tg/index.html";
				var param = {
					"url": webUrl,
					"title": "发现牛股",
					"background-color": publicMethod.getThemeNo()

				};
				shellPlugin.callShellMethod("webViewPlugin", null, null, param);
			});

		}

		function destroy() {

		}

		var accountResult = {
			"init": init,
			"bindPageEvent": bindPageEvent,
			"destroy": destroy
		};

		module.exports = accountResult;

});