/**
 * Created by XIAOSHEN746 on 2016-04-08.
 */
define(function(require, exports, module) {
    var global = require("gconfig").global,
        shellPlugin = require("shellPlugin"),
        talkingdata=require("talkingdata"),
        appUtils = require("appUtils");

    var publicMethod = {

        getThemeNo : function(){
            var ljsSkin = "";
            if(sessionStorage.getItem("skinColor") == "ljs"){
                ljsSkin = "#5D6BC3";
            }
            return ljsSkin;
        },

        openAccountResult : function(fromPage){
            var ljsSkin = "";
            if(sessionStorage.getItem("skinColor") == "ljs"){
                ljsSkin = "#5D6BC3";
            }
            if (global.isSDK == true) {
                if(sessionStorage.getItem("skinColor") == "ljs"){
                    appUtils.pageInit(fromPage, "account/accountResult", {});
                }else{
                    var targetPage = sessionStorage.getItem("accountResultPage");
                    var	encryptText = sessionStorage.getItem("identityvalue");
                    var userMobile = sessionStorage.getItem('mobile') ? sessionStorage.getItem('mobile') : sessionStorage.getItem('mobileNo');
                    var userName = sessionStorage.getItem("userName");
                    var appVersion = sessionStorage.getItem("appVersion");
                    var param = {
                        "url" : targetPage + '?encryptText='+encryptText+'&moblie='+userMobile+'&userName='+userName+'&appVersion'+appVersion+'&fromArea=WBAPPSDK',
                        "title" : "开户结果",
                        "background-color": ljsSkin

                    };
                    shellPlugin.callShellMethod("webViewPlugin", null,null,param);
                }
            }else{
                appUtils.pageInit(fromPage, "account/accountResult", {});
            }

        },


        bindProblemEvent : function(_pageId){

            // 绑定FAQ常见问题按钮
            appUtils.bindEvent($(_pageId+" #a_faq"),function(){
                var ljsSkin = "";
                if(sessionStorage.getItem("skinColor") == "ljs"){
                    ljsSkin = "#5D6BC3";
                }
                var webUrl = global.FAQurl;
                var param = {
                    "url" : webUrl,
                    "title" : "平安证券-常见问题",
                    "background-color": ljsSkin
                };
                shellPlugin.callShellMethod("webViewPlugin", null,null,param);
                //埋点
                talkingdata.record("WELCOME", "WELCOME_0103");
            });
        },

        bindXiaoAnEvent : function(_pageId,logined){

            appUtils.bindEvent($(_pageId+" #app_im"),function(){
                var ljsSkin = "";
                if(sessionStorage.getItem("skinColor") == "ljs"){
                    ljsSkin = "#5D6BC3";
                }

                var userName = sessionStorage.getItem("userName"),
                    appVersion = sessionStorage.getItem("appVersion");
                var userIdCardNo;
                if(logined){
                    userIdCardNo = sessionStorage.getItem('mobile') ? sessionStorage.getItem('mobile') : sessionStorage.getItem('mobileNo');
                }else{
                    userIdCardNo  = sessionStorage.getItem("userIdCardNo");
                }
                var  appIm= global.imConnectPath + "&subBizType=&encryptStr=clientImNo="+userIdCardNo+"|customerNo=vvvdd|customerName="+userName+"|nickName=tongbao&{'extraInfo':'开户须知','appVersion':"+appVersion+"}";
                var appImParam={
                    "url" : appIm,
                    "background-color": ljsSkin
                };
                shellPlugin.callShellMethod("webViewPlugin", null,null,appImParam);
            });
        }



    };

    module.exports = publicMethod;

});