/**
 * 开户确认（问卷回访）
 */
define("project/scripts/account/openConfirm", function(require, exports, module) {
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		validatorUtil = require("validatorUtil"),
		shellPlugin = require("shellPlugin"),
		talkingdata = require("talkingdata"),
		publicMethod = require("PublicMethod"),
		utils = require("utils"),
		_pageId = "#account_openConfirm";
	var switchFlag=0,
		rightSelect= [0,2,4,7,8,10,12];

	function init() {
		//获得用户身份证号
		//var userIdCardNo=sessionStorage.getItem("userIdCardNo");
		var userIdCardNo = '';
		if(sessionStorage.getItem("userIdCardNo")){
			userIdCardNo = sessionStorage.getItem("userIdCardNo");
		}else if(sessionStorage.getItem("idCardNo")){
			userIdCardNo = sessionStorage.getItem("idCardNo")
		}
		if(userIdCardNo){//根据身份证倒数第二位判断性别，并显示不同的文案
			var $cusSex=$(_pageId + " #cusSex");
			var sexNum=userIdCardNo.substr(16,1);
			if(parseInt(sexNum)%2 == 0){
				$cusSex.text("女士");
			}else{
				$cusSex.text("先生");
			}
		}
		// 设置按钮的边框色
		$(_pageId + " .ct_btn a").css("border", "0");
		//问卷回访开关
		getQuesSwitch();
		showNameAndIdNo();
		//埋点
		talkingdata.record("OPENCONFIRM", "OPENCONFIRM_1301");
	}
	function getQuesSwitch(){
		var switchParam = {
			"funcNo" : 700005
		};
		appUtils.invokeServer(global.serverPath, switchParam, function(data) {
			if (data.error_no == 0) {
				switchFlag=data.results[0].switchflag;
				if(switchFlag!=0){
					if(switchFlag==1){
						for(var i=0;i<14;i++){
							if($.inArray(i,rightSelect)!=-1){
								$(_pageId + " .inner span").eq(i).find("label").css("border-bottom","1px dashed red");
							}
						}
					}
				}else{
					//初始化问题答案
					initQuesAnswer();
				}
			} else {
				//初始化问题答案
				initQuesAnswer();
			}
		});
	}
	function initQuesAnswer(){
		for(var i=0;i<14;i++){
			if($.inArray(i,rightSelect)!=-1){
				$(_pageId + " .inner span").eq(i).addClass("active");
			}
		}
	}
	function showNameAndIdNo() {
		$(_pageId + " #custName").html(appUtils.getSStorageInfo("custname"));
		$(_pageId + " #idCardNo").html(appUtils.getSStorageInfo("idCardNo"));
		getOpenConfirmData();
	}

	function bindPageEvent() {

		// 绑定FAQ常见问题按钮
		publicMethod.bindProblemEvent(_pageId);

		appUtils.bindEvent($(_pageId),function(){
			$(_pageId+" .header_icon").hide();
		});

		appUtils.bindEvent($(_pageId+" #a_setting"),function(event){
			$(_pageId+" .header_icon").toggle();
			event.stopPropagation();
		});
		//小安机器人
		publicMethod.bindXiaoAnEvent(_pageId,true);

		appUtils.bindEvent($(_pageId+" #a_phone"),function(){
			utils.callKHRXPhone("4000-188-288");
			//埋点
			talkingdata.record("OPENCONFIRM", "OPENCONFIRM_1302");
		});

		appUtils.bindEvent($(_pageId+" #recommenderInfo"),function(){

			shellPlugin.callShellMethod("recommenderPlugin", null,null,null);

		});


		appUtils.bindEvent($(_pageId + " .header .icon_back"), function() {
			appUtils.pageBack();
		});

		appUtils.bindEvent($(_pageId + " .inner span"), function() {
			if (!$(this).hasClass("active")) {
				$(this).addClass("active").siblings().removeClass("active");
			}
			//埋点
			talkingdata.record("OPENCONFIRM", "OPENCONFIRM_1304");

		});

		//您的调查问卷没有通过，请对“1、2、4”项进行修改。

		appUtils.bindEvent($(_pageId + " .fix_bot .ct_btn"), function() {
			var arr = [1, 1, 1, 0, 1, 1,1];
			var resultShowArray = $(_pageId + " .inner span");
			var resultStr = "您的调查问卷没有通过，请对\"";
			var bolShow = false;

			$(".inner span").each(function(index) {

				switch(index) {
					case 0:
						if (!$(this).hasClass("active")) {
							resultStr = resultStr + (index / 2 + 1) + ",";
							bolShow = true;
						}
						break;
					case 2:
						if (!$(this).hasClass("active")) {
							resultStr = resultStr + (index / 2 + 1) + ",";
							bolShow = true;
						}
						break;
					case 4:
						if (!$(this).hasClass("active")) {
							resultStr = resultStr + (index / 2 + 1) + ",";
							bolShow = true;
						}
						break;
					case 7:
						if (!$(this).hasClass("active")) {
							resultStr = resultStr + Math.floor(index / 2 + 1) + ",";
							bolShow = true;
						}
						break;
					case 8:
						if (!$(this).hasClass("active")) {
							resultStr = resultStr + (index / 2 + 1) + ",";
							bolShow = true;
						}
						break;
					case 10:
						if (!$(this).hasClass("active")) {
							resultStr = resultStr + (index / 2 + 1) + ",";
							bolShow = true;
						}
						break;
					case 12:
						if (!$(this).hasClass("active")) {
							resultStr = resultStr + (index / 2 + 1) + ",";
							bolShow = true;
						}
						break;
				}
				//                             if(index%2 == 0){
				//                                if($(this).hasClass("active") && arr[index/2] == 1)
				//                                {
				//                                    resultShowArray[index/2] = 1;
				//                                      layerUtils.iAlert("resultStr");
				//                                }
				//                             }
			});
			if (bolShow) {
				resultStr = resultStr.substring(0, resultStr.length - 1);
				;
				resultStr = resultStr + "\"项进行修改。";
				layerUtils.iAlert(resultStr);
			} else {

				submitData();
			}
			//埋点
			talkingdata.record("OPENCONFIRM", "OPENCONFIRM_1305");

		});

		//		appUtils.bindEvent($(_pageId+" .mobileCode"),function(){
		//			if($(this).val().length != 6)
		//			{
		//				$(_pageId+" .fix_bot .ct_btn").addClass("disable");
		//			}
		//			else
		//			{
		//				$(_pageId+" .fix_bot .ct_btn").removeClass("disable");
		//			}
		//		},"input");
		//
		//		appUtils.bindEvent($(_pageId+" .fix_bot .ct_btn"),function(){
		//			if($(_pageId+" .fix_bot .ct_btn").hasClass("disable") || $(_pageId+" .mobileCode").val().length == 0)
		//			{
		//				require("layerUtils").iMsg(-1,"请输入验证码！");
		//				return;
		//			}
		//			submitVerifyCode();
		//		});
		//
		//		/* 获取短信验证码 */
		//		appUtils.bindEvent($(_pageId+" .getmsg"),function(){
		//			var phoneNum =  appUtils.getSStorageInfo("mobileNo");
		//			// 是手机号时才发送验证码
		//			if(validatorUtil.isMobile(phoneNum))
		//			{
		//				sendVerifyCode();
		//			}
		//			else
		//			{
		//				// 手机号没通过前端校验，弹出提示，并终止发送验证码的过程
		//				var times = phoneNum.length - 11;
		//				if(phoneNum.length > 11)
		//				{
		//					require("layerUtils").iMsg(-1,"您多输入&nbsp;"+times+"&nbsp;位电话号码，请重新输入！");
		//				}
		//				else if(phoneNum.length < 11)
		//				{
		//					require("layerUtils").iMsg(-1,"您少输入&nbsp;"+Math.abs(times)+"&nbsp;位电话号码，请重新输入！");
		//				}
		//				return;
		//			}
		//		});
	}

	function destroy() {

	}

	function submitVerifyCode() {
		var submitVerifyCodeParam = {
			"funcNo" : 1001016,
			"userid" : appUtils.getSStorageInfo("user_id"),
			"verifyCode" : $(_pageId + " .mobileCode").val(),
			"clientinfo" : appUtils.getSStorageInfo("clientinfo"),
			"jsessionid" : appUtils.getSStorageInfo("jsessionid")
		};
		appUtils.invokeServer(global.serverPath, submitVerifyCodeParam, function(data) {
			if (data.error_no == 0) {
				submitData();
			} else {
				layerUtils.iLoading(false);
				layerUtils.iAlert(data.error_info);
			}
		}, false);
	}

	function submitData() {
		// 提交问卷回访
		var submitDataParam = {
			"funcNo" : 1001011,
			"userid" : appUtils.getSStorageInfo("user_id"),
			"clientinfo" : appUtils.getSStorageInfo("clientinfo"),
			"jsessionid" : appUtils.getSStorageInfo("jsessionid")
		};
		appUtils.invokeServer(global.serverPath, submitDataParam, function(data) {
			if (data.error_no == 0) {
				copyDataToCustInfo();
			} else if (data.error_no != 0) {
				layerUtils.iLoading(false);
				layerUtils.iAlert(data.error_info);
			}
		}, false);
	}

	// 回显验证码
	function showVeirfyCode(data) {
		// result 是 1 ，回显，否则不回显
		if (data.results.length != 0 && data.results[0].result == 1) {
			$(_pageId + " .mobileCode").val(data.results[0].random);
		}
		if (data.results.length != 0 && isNaN(data.results[0].random)) {
			layerUtils.iAlert(data.results[0].random);
			return false;
		}
		return true;
	}

	function showCountDown() {
		// 设置按钮的边框色
		$(_pageId + " .ct_btn a").css("border", "1px solid #D83005");
		$(_pageId + " .fix_bot .ct_btn").removeClass("disable");
		var sumTime = 120;
		// 获取验证码之后按钮隐藏
		$(_pageId + " .getmsg").hide();
		// 显示倒计时
		$(_pageId + " .time").show();
		// 显示提示
		$(_pageId + " .cert_notice").show();
		startCountDown = window.setInterval(function() {
			$(_pageId + " .time").html(sumTime-- + "&nbsp;秒后重发");
		}, 1000);
		// 120 秒之后清除计时器
		var clearCountDown = setTimeout(function() {
			$(_pageId + " .fix_bot .ct_btn").addClass("disable");
			// 显示按钮
			$(_pageId + " .getmsg").show();
			// 隐藏倒计时
			$(_pageId + " .time").hide();
			$(_pageId + " .cert_notice").hide();
			$(_pageId + " .time").text(120);
			window.clearInterval(startCountDown);
		}, 121000);
	}

	function sendVerifyCode() {
		var param = {
			"funcNo" : 1001004,
			"mobile" : appUtils.getSStorageInfo("mobileNo"),
			// 表示是问卷回访的验证码
			"isOpenConfirm" : 2,
			"clientinfo" : appUtils.getSStorageInfo("clientinfo"),
			"jsessionid" : appUtils.getSStorageInfo("jsessionid")
		};
		appUtils.invokeServer(global.serverPath, param, function(data) {
			if (data.error_no == "0") {
				if (showVeirfyCode(data)) {
					showCountDown();
				}
			} else {
				layerUtils.iAlert(data.error_info, -1);
			}
		});
	}

	// 复制数据到 t_custom_info 表
	function copyDataToCustInfo() {
		var vedioPassParam = {
			"funcNo" : 501599,
			"user_id" : appUtils.getSStorageInfo("user_id"),
			"clientinfo" : appUtils.getSStorageInfo("clientinfo"),
			"jsessionid" : appUtils.getSStorageInfo("jsessionid")
		};
		appUtils.invokeServer(global.serverPath, vedioPassParam, function(data) {
			if (data.error_no == 0) {
				if (appUtils.getSStorageInfo("login_flag") == "1") {
					var attr = {
						"funcNo" : 600007,
						"clientinfo" : appUtils.getSStorageInfo("clientinfo"),
						"jsessionid" : appUtils.getSStorageInfo("jsessionid")
					};
					appUtils.invokeServer(global.serverPath, attr, function(data) {
						if (data.error_no == 0) {
							if (data.results[0].is_mobilevideo == 1 || data.results[0].is_mobilevideo == "1") {
								appUtils.pageInit("account/openConfirm", "account/videoNotice", {});
							} else if (data.results[0].is_mobilevideo == 0 || data.results[0].is_mobilevideo == "0") {
								//appUtils.pageInit("account/openConfirm", "account/accountResult", {});
								publicMethod.openAccountResult("account/openConfirm");
							} else {
								//appUtils.pageInit("account/openConfirm", "account/accountResult", {});
								publicMethod.openAccountResult("account/openConfirm");
							}
						} else if (data.error_no != 0) {
							layerUtils.iAlert(data.error_info);
						}
					});
				} else {
					appUtils.pageInit("account/openConfirm", "account/videoNotice", {});
				}
			} else {
				layerUtils.iAlert(data.error_info);
			}
		});
	}

	function getOpenConfirmData() {
		var getOpenConfirmDataParam = {
			"funcNo" : 1001010,
			"userid" : appUtils.getSStorageInfo("user_id"),
			"clientinfo" : appUtils.getSStorageInfo("clientinfo"),
			"jsessionid" : appUtils.getSStorageInfo("jsessionid")
		};
		$(_pageId + " .user_form").html("");
		appUtils.invokeServer(global.serverPath, getOpenConfirmDataParam, function(data) {
			var openConfirmHtml = "";
			if (data.error_no == 0) {
				var results = data.results;
				for (var i = 0; i < results.length; i++) {
					openConfirmHtml += "<h5 class=\"title\" style=\"padding-left:20px;\">" + (i + 1) + "、" + results[i].title + "</h5>";
				}
				$(_pageId + " .user_form").html(openConfirmHtml);
			} else if (data.error_no != 0) {
				layerUtils.iAlert(data.error_info);
			}
		});
	}

	var questionnaireReturn = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = questionnaireReturn;
});
