/**
 * 查看协议
 */
define("project/scripts/account/showProtocol", function(require, exports, module) {
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		shellPlugin = require("shellPlugin"),
		publicMethod=require("PublicMethod"),
		utils = require("utils"),
		_pageId = "#account_showProtocol";
	var targetId = appUtils.getPageParam("orderline_id");
	function init() {
		// 清除原有数据
		$(_pageId + " #contenttxt").text("");
		$(_pageId + " .top_title p").text("");

		var targetId = appUtils.getPageParam("orderline_id");
		if(targetId){
			xjbProtocol();
		}else{
			allProtocol();
		}
	}
	function allProtocol(){
		// 获取页面入参 protocol_id
		var protocol_id = appUtils.getPageParam("protocol_id"),
			queryProtocolParam = {
				"funcNo": 501524,
				"protocol_id": protocol_id,
				"clientinfo": appUtils.getSStorageInfo("clientinfo"),
				"jsessionid": appUtils.getSStorageInfo("jsessionid")
			};
		if (appUtils.getSStorageInfo("_prePageCode") == "account/thirdDepository") {
			// 三方存管传一个标识给后台
			queryProtocolParam.identification = "thirdDepository";
		}
		appUtils.invokeServer(global.serverPath, queryProtocolParam, function(data) {
			if(data.error_no == 0) {
				var contenttxt1 = data.results[0].contenttxt;
				$(_pageId + " #contenttxt").append(contenttxt1);
				if (protocol_id == '5400') {
					$(_pageId + " .top_title p:eq(0)").text(data.results[0].protocol_name + "存管协议及确认函协议");
				} else {
					$(_pageId + " .top_title p:eq(0)").text(data.results[0].protocol_name);
				}
			}
		});
	}
	function xjbProtocol(){
		// 获取页面入参 orderline_id
		var protocolId = appUtils.getPageParam("orderline_id");
		var xjbProtocolParam={
			"funcNo": 501505,
			"enum_type": "xjbxy_content",
			"clientinfo": appUtils.getSStorageInfo("clientinfo"),
			"jsessionid": appUtils.getSStorageInfo("jsessionid")
		};
		appUtils.invokeServer(global.serverPath, xjbProtocolParam, function(data) {
			if(data.error_no == 0) {
				var xjbProtocol = data.results;
				var targetObj;
				for (var i = 0; i < xjbProtocol.length; i++) {
					targetObj = xjbProtocol[i];
					if(targetObj && targetObj.orderline == protocolId){
						$(_pageId + " .top_title p").text(targetObj.item_name);
						$(_pageId + " #contenttxt").append(targetObj.contenttxt);
						break;
					}
				}
			}
		});
	}
	function bindPageEvent() {

		// 绑定FAQ常见问题按钮
		publicMethod.bindProblemEvent(_pageId);

		appUtils.bindEvent($(_pageId), function() {
			$(_pageId + " .header_icon").hide();
		});

		appUtils.bindEvent($(_pageId + " #a_setting"), function(event) {
			$(_pageId + " .header_icon").toggle();
			event.stopPropagation();
		});
		appUtils.bindEvent($(_pageId + " #a_phone"), function() {
			utils.callKHRXPhone("4000-188-288");
		});

		appUtils.bindEvent($(_pageId + " #recommenderInfo"), function() {

			shellPlugin.callShellMethod("recommenderPlugin", null, null, null);

		});
		//小安机器人
		publicMethod.bindXiaoAnEvent(_pageId,true);
		// 绑定返回
		appUtils.bindEvent($(_pageId + " .header .icon_back"), function() {
			appUtils.pageBack();
		});

		// 绑定继续开户
		appUtils.bindEvent($(_pageId + " .ct_btn a"), function() {
			appUtils.pageBack();
			//appUtils.pageInit("account/showProtocol","account/signProtocol",{});
		});
	}

	function destroy() {
		// 将协议内容置空
		$(_pageId + " #contenttxt").text("");
		$(_pageId + " .top_title p:eq(0)").text("");
	}

	var showProtocol = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = showProtocol;
});