/**
 * 签署协议
 */
define("project/scripts/account/signProtocol", function (require, exports, module) {
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        layerUtils = require("layerUtils"),
        shellPlugin = require("shellPlugin"),
        talkingdata = require("talkingdata"),
        publicMethod=require("PublicMethod"),
        utils = require("utils"),
        _pageId = "#account_signProtocol";
    var lastDetectMsg = "",monMsgText = "";//现金宝提示;
    function init() {
        appUtils.setSStorageInfo("signProtocolFlg", 'false');
        getMonMsg();
        fillStockAccount();
        xjbProtocols();
        fillProtocols();
        //埋点
        talkingdata.record("SIGNPROTOCOL", "SIGNPROTOCOL_0901");
    }

    function fillStockAccount() {
        var allOpenAccountStr = "";
        // 清除原有 开通证券账户
        $(_pageId + " .radio_list ul li").remove();
        // 获取 开通证券账户 枚举
        var openAccountEnumParam = {
            "funcNo": 501501,
            "enum_type": "zqzhlx",
            "clientinfo": appUtils.getSStorageInfo("clientinfo"),
            "jsessionid": appUtils.getSStorageInfo("jsessionid")
        };
        appUtils.invokeServer(global.serverPath, openAccountEnumParam, function (data) {
            if (data.error_no == 0 && data.results.length > 0) {
                var openAccountEnum = data.results;
                openAccountEnum.sort(function(a,b){return a.item_value == '3'});
                for (var i = 0; i < openAccountEnum.length; i++) {
                    var item_value = openAccountEnum[i].item_value,//唯一标识符，1-深A 3-沪A
                        item_data = openAccountEnum[i].item_name,
                        item_name = "",item_tips = "";
                    /*if(item_data.indexOf("(") > -1){
                     item_data = item_data.split("(");
                     item_name=item_data[0];
                     item_tips="("+item_data[1];
                     }else{
                     item_name=item_data;
                     }*/
                    allOpenAccountStr += "<li value=\"" + item_value + "\"><a href=\"javascript:;\" class=\"icon_radio\" id=\"selectAccount0" + i + "\" value=\"" + item_value + "\">" +item_data+ "</a></li>";
                }
                // 填充 开通证券账户
                $(_pageId + " .radio_list ul").append(allOpenAccountStr);
                //现金宝和转签创业板做特殊处理
                /*$(_pageId + " .radio_list ul").find("li[value='4']").css({"width":"100%","border-right":"none"});
                 $(_pageId + " .radio_list ul").find("li[value='5']").css({"width":"100%"});*/
                //账号绑定提醒事件，数据填充完毕才绑定事件
                appUtils.bindEvent($(_pageId + " .radio_list ul li a"), function (e) {
                    confrimOpenAccount(this);
                    e.stopPropagation();
                    //埋点
                    if ($(this).attr("value") == 1) {
                        talkingdata.record("SIGNPROTOCOL", "SIGNPROTOCOL_0905");
                    } else if ($(this).attr("value") == 3) {
                        talkingdata.record("SIGNPROTOCOL", "SIGNPROTOCOL_0904");
                    }
                });
                queryEnterprise();
            }
            else {
                layerUtils.iLoading(false);
                layerUtils.iAlert(data.error_info);
            }
            //创业板转签
            zqcybInter();
        }, false);
    }
    function zqcybInter(){
        var allZqcy = "";
        var zqcybEnumParam = {
            "funcNo": 501505,
            "enum_type": "zqcyb",
            "clientinfo": appUtils.getSStorageInfo("clientinfo"),
            "jsessionid": appUtils.getSStorageInfo("jsessionid")
        };
        appUtils.invokeServer(global.serverPath,zqcybEnumParam, function (data) {
            if(data.error_no == 0) {
                zqcybName = data.results[0].item_name;
                zqcybValue = data.results[0].item_value;
                itemType = data.results[0].enum_type;
                itemTips = " ";
                if (zqcybValue.indexOf("(") > -1) {
                    zqcybValue = zqcybValue.split("(");
                    item_name = zqcybValue[0];
                    itemTips = "(" + zqcybValue[1];

                } else {
                    item_name = zqcybValue;
                }
                allZqcy = "<li class=\"" + itemType + "\"><a href=\"javascript:;\" class=\"icon_radio\" id=\"selectAccount02\" value=\"" + itemType + "\">" + zqcybName + "<span style=\"color:#999;\">" + itemTips + "</span></a></li>";
                // 填充 开通证券账户
                $(_pageId + " .radio_list ul").append(allZqcy);
                //转签创业板做特殊处理
                $(_pageId + " .radio_list ul").find("li[class='zqcyb']").css({"width":"100%","border-right":"none"});
                //账号绑定提醒事件，数据填充完毕才绑定事件
                appUtils.bindEvent($(_pageId + " .radio_list ul li a"), function (e) {
                    confrimOpenAccount(this);
                    e.stopPropagation();
                });
                queryEnterprise();
            }else{
                layerUtils.iAlert(data.error_info);
            }
            //现金宝
            xjbInter();
        });
    }
    function xjbInter(){
        var allXjb = "";
        var xjbEnumParam = {
            "funcNo": 501505,
            "enum_type": "xjb",
            "clientinfo": appUtils.getSStorageInfo("clientinfo"),
            "jsessionid": appUtils.getSStorageInfo("jsessionid")
        };
        appUtils.invokeServer(global.serverPath,xjbEnumParam, function (data) {
            if(data.error_no == 0) {
                xjbName = data.results[0].item_name;
                xjbValue = data.results[0].item_value;
                itemType = data.results[0].enum_type;
                itemTips = " ";
                if (xjbValue.indexOf("(") > -1) {
                    xjbValue = xjbValue.split("(");
                    item_name = xjbValue[0];
                    itemTips = "(" + xjbValue[1];
                } else {
                    item_name = xjbValue;
                }
                allXjb = "<li class=\"" + itemType + "\"><a href=\"javascript:;\" class=\"icon_radio\" id=\"selectAccount03\" value=\"" + itemType + "\">" + xjbName + "<span style=\"color:#999;\">" + itemTips + "</span></a></li>";
                // 填充 开通证券账户
                $(_pageId + " .radio_list ul").append(allXjb);
                //现金宝和转签创业板做特殊处理
                $(_pageId + " .radio_list ul").find("li[class='xjb']").css({"width":"100%","border-right":"none"});
                /*$(_pageId + " .radio_list ul").find("li[class='5']").css({"width":"100%"});*/
                //账号绑定提醒事件，数据填充完毕才绑定事件
                appUtils.bindEvent($(_pageId + " .radio_list ul li a"), function (e) {
                    confrimOpenAccount(this);
                    e.stopPropagation();
                });
                queryEnterprise();
            }else{
                layerUtils.iAlert(data.error_info);
            }
            //初始化开户选择项
            initCountChecked();
        });
    }
    // 查询创业板的开关
    function queryEnterprise() {
        var queryEnterpriseParam = {
            "funcNo": 1001014,
            "userid": appUtils.getSStorageInfo("user_id"),
            "clientinfo": appUtils.getSStorageInfo("clientinfo"),
            "jsessionid": appUtils.getSStorageInfo("jsessionid")
        };
        appUtils.invokeServer(global.serverPath, queryEnterpriseParam, function (data) {
            if (data.error_no == 0 && data.results.length > 0) {
                if (data.results[0].gemflag == "0") {
                    // 创业板提示信息
                    $(_pageId + " #enterpriseTips").html(data.results[0].tips);
                }
                else {
                    $(_pageId + " #enterpriseTips").parent().hide();
                }
                /* fillProtocols();*/
            }
            else {
                layerUtils.iLoading(false);
                layerUtils.iAlert(data.error_info);
            }
        }, false);

    }

    function fillProtocols() {
        // 进入页面时，先删除协议列表原有的内容
        $(_pageId + " .rule_list ul li").remove();
        appUtils.invokeServer(global.serverPath, {"funcNo": 501531}, function (data) {
            if (data.error_no == 0 && data.results.length > 0) {
                appUtils.setSStorageInfo("signProtocolFlg", 'true');
                var results = data.results,
                    allProtocols01 = "",
                    allProtocols02 = "";
                /* allProtocols03 = "";*/
                var login_flag = appUtils.getSStorageInfo("login_flag");
                for (var i = 0; i < results.length; i++) {
                    /*if (results[i].en_name == "Gem_protocol" && login_flag == "0") {
                     continue;
                     }*/
                    if (results[i].protocol_group == 1) {
                        if (results[i].en_name == "Gem_protocol") {
                            allProtocols01 += "<li id='gem_protocol'><a href=\"javascript:;\" protocol-id=\"" + results[i].protocol_id + "\" id=\"protocol0" + i + "\" val=\"" + results[i].en_name + "\" >《" +
                            results[i].protocol_name + "》</a></li>";
                        } else {
                            allProtocols01 += "<li><a href=\"javascript:;\" protocol-id=\"" + results[i].protocol_id + "\" id=\"protocol0" + i + "\">《" +
                            results[i].protocol_name + "》</a></li>";
                        }
                    }else if(results[i].protocol_group == 2) {
                        allProtocols02 += "<li><a href=\"javascript:;\" protocol-id=\"" + results[i].protocol_id + "\" id=\"protocol0" + i + "\">《" +
                        results[i].protocol_name + "》</a></li>";
                    }/*else if(results[i].protocol_group == 3){
                     allProtocols03 += "<li><a href=\"javascript:;\" protocol-id=\"" + results[i].protocol_id + "\" id=\"protocol0" + i + "\">《" +
                     results[i].protocol_name + "》</a></li>";
                     }*/
                    // 预绑定查看协议的事件
                    appUtils.preBindEvent($(_pageId + " .rule_list"), "#protocol0" + i, function (e) {
                        appUtils.pageInit("account/signProtocol", "account/showProtocol", {"protocol_id": $(this).attr("protocol-id")});
                        e.stopPropagation();
                    });
                }
                $(_pageId + " .rule_list ul:eq(0)").append(allProtocols01);
                $(_pageId + " .rule_list ul:eq(1)").append(allProtocols02);
                /*$(_pageId + " .rule_list ul:eq(2)").append(allProtocols03);*/

                // 初始化证券账户的选择
                initCountChecked();
            }
            else {
                layerUtils.iAlert(data.error_info);
            }
        });
    }

    // 初始化证券账户的选择
    function initCountChecked(){
        $(_pageId + " .radio_list ul li a").addClass("checked");
        //马山开户默认不勾选转签创业板
        var login_flag = appUtils.getSStorageInfo("login_flag");
        if (login_flag == "0") {
            $(_pageId + " .radio_list ul").find("li[class='zqcyb']").children("a").removeClass("checked");
            $(_pageId + " .rule_list ul:eq(0)").find('#gem_protocol').hide();
        }
    }

    function xjbProtocols(){
        var xjbProtocolParam = {
            "funcNo" : 501505,
            "enum_type" : "xjbxy"
        };
        appUtils.invokeServer(global.serverPath, xjbProtocolParam, function (data) {
            if (data.error_no == 0&& data.results.length > 0) {
                var xjbItemValue = data.results,
                    allProtocols03 = " ";
                for(var i=0;i<xjbItemValue.length;i++){
                    var item_value = xjbItemValue[i].item_value,
                        orderlineName = xjbItemValue[i].orderline;
                    allProtocols03 = "<li><a href=\"javascript:;\" protocol-id=\"" + orderlineName + "\" id=\"protocol" + i + "\">《" + item_value + "》</a></li>";
                    // 预绑定查看协议的事件
                    appUtils.preBindEvent($(_pageId + " .rule_list"), "#protocol" + i, function (e) {
                        appUtils.pageInit("account/signProtocol", "account/showProtocol", {"orderline_id": $(this).attr("protocol-id")});
                        e.stopPropagation();
                    });
                    $(_pageId + " .rule_list ul:last-child").append(allProtocols03);
                }

            }else{
                layerUtils.iAlert(data.error_info);
            }
        });

    }

    function bindPageEvent() {
        // 绑定FAQ常见问题按钮
        publicMethod.bindProblemEvent(_pageId);

        appUtils.bindEvent($(_pageId), function () {
            $(_pageId + " .header_icon").hide();
        });

        appUtils.bindEvent($(_pageId + " #a_setting"), function (event) {
            $(_pageId + " .header_icon").toggle();
            event.stopPropagation();
        });
        //小安机器人
        publicMethod.bindXiaoAnEvent(_pageId,true);
        appUtils.bindEvent($(_pageId + " #a_phone"), function () {
            utils.callKHRXPhone("4000-188-288");
            //埋点
            talkingdata.record("SIGNPROTOCOL", "SIGNPROTOCOL_0902");
        });

        appUtils.bindEvent($(_pageId + " #recommenderInfo"), function () {

            shellPlugin.callShellMethod("recommenderPlugin", null, null, null);

        });

        appUtils.bindEvent($(_pageId + " .header .icon_back"), function () {
            appUtils.pageBack();
        });

        // 绑定签署协议
        appUtils.bindEvent($(_pageId + " .rule_check .icon_check"), function () {
            // 设置样式
            $(this).toggleClass("checked");
            //埋点
            talkingdata.record("SIGNPROTOCOL", "SIGNPROTOCOL_0906");
        });

        appUtils.bindEvent($(_pageId + " #enterpriseTips"), function () {
            // 设置样式
            $(this).toggleClass("checked");
        });


        // 继续开户（下一步）
        appUtils.bindEvent($(_pageId + " .fix_bot .ct_btn"), function () {
            if (appUtils.getSStorageInfo("signProtocolFlg") == 'false') {
                return;
            }
            // 检查是否勾选签署协议
            if ($(_pageId + " .rule_check #signProFlag").hasClass("checked")) {
                $("body").css({overflow : 'hidden'});
                //增加提示
                var detectMsg = detectAccount();
                var $AccNum = $(_pageId + " .radio_list ul li a");
                if (detectMsg != "" && ($AccNum.eq(0).hasClass("checked") || $AccNum.eq(1).hasClass("checked"))) {
                    layerUtils.iConfirm(detectMsg, function () {
                        openGdAccount();
                        cancelBodyHidden();
                        return;
                    }, cancelBodyHidden, null);
                } else {
                    layerUtils.iConfirm(detectMsg, cancelBodyHidden, cancelBodyHidden, null);
                }



                //取消禁用滚动
                if(checkIfAddTouchListener()){
                    $('.openAccount-details').get(0).addEventListener('touchstart', function(event){
                        window.ontouchmove = null;
                    }, false);

                    $('.openAccount-details').get(0).addEventListener('touchend', function(event){
                        window.ontouchmove = function(event){
                            event && event.preventDefault ? event.preventDefault() : window.event.returnValue = !1;
                        };
                    }, false);
                }

                reSetLayerStyle();
            }
            else {
                layerUtils.iMsg(-1, "请阅读并勾选同意签署以上全部协议！");
            }

            //埋点
            talkingdata.record("SIGNPROTOCOL", "SIGNPROTOCOL_0907");
        });

    }

    function cancelBodyHidden(){
        $("body").removeAttr('style');
    }

    //判断容器是否有滚动条
    function checkIfAddTouchListener(){
        var state = false;
        var obj= $('.openAccount-details').get(0);
        if(obj.scrollHeight > obj.clientHeight || obj.offsetHeight > obj.clientHeight){
            state = true;
        }
        return state;
    }

    //重写开通确认的弹窗样式
    function reSetLayerStyle(){
        $("#pop_tip_confirm").prepend("<h3 style='height:50px;line-height: 50px;border-bottom: 1px solid #e8e8e8'>账户开通确认</h3>");
        $("#pop_tip_confirm").find('.btn a').css({float:'right'});
        $("#pop_tip_confirm").find('.btn a').eq(0).text('确认');
        $("#pop_tip_confirm").find('.btn a').eq(1).css({color : '#333333',width:'49%',borderRadius: '10px 0 0 10px',borderRight:'1px solid #e8e8e8'});
        $("#pop_tip_confirm").find('p>span').css({textAlign:'left'});
    }


    //获取现金宝提示内容
    function getMonMsg(){
        appUtils.invokeServer(global.serverPath,{"funcNo": 700013}, function (data) {
            if(data.error_no == 0){
                monMsgText = data.results[0].messagetext;
            }
        })
    }
    //增加提示
    function detectAccount() {
        var returnMsg = "<div class='openAccount-details'>";
        var msgMonCon = "";
        //var $AccNum = $(_pageId + " .radio_list ul li a");
        var $AccNum = $(_pageId + " .radio_list ul li");
        var saObj = $AccNum.find("a[value='1']");
        var haObj = $AccNum.find("a[value='3']");
        var xjbObj = $AccNum.find("a[value='xjb']");
        //深A，沪A，现金宝
        var saStatus = true,haStatus = true,monStatus =true;
        if(!saObj.hasClass("checked")){//深A
            saStatus = false;
        }
        if(!haObj.hasClass("checked")){//沪A
            haStatus = false;
        }
        if(!xjbObj.hasClass("checked")){//现金宝
            monStatus = false;
        }else{
            msgMonCon = monMsgText;
        }

        var xjbTxt = monStatus ? '<h1>现金宝</h1><p>'+msgMonCon+'</p>' : '';

        if(saStatus == true && haStatus == true){//选沪A,选深A
            returnMsg += '<h1>选沪A,选深A</h1><p>您已选择开通沪A、深A股东帐户</p>'+xjbTxt;
        }else if(saStatus == false && haStatus == true){//选沪A，不选深A
            returnMsg += '<h1>选沪A，不选深A</h1><p>您已选择只开通沪A股东帐户，未开通深A股东帐户将影响您购买深市的股票和基金<p>'+xjbTxt;
        }else if(saStatus == true && haStatus == false){//选深A，不选沪A
            returnMsg += '<h1>选深A，不选沪A</h1><p>您已选择只开通深A股东帐户，未开通沪A股东帐户将影响您购买沪市的股票和基金</p>'+xjbTxt;
        }else if(saStatus == false && haStatus == false){//不选沪A，不选深A
            returnMsg += '<h1>不选沪A，不选深A</h1><p>您未选择开通沪A和深A股东帐户，未开通沪A和深A股东帐户将影响您购买沪市和深市的股票和基金</p>'+xjbTxt;
        }

        returnMsg += '</div>';
        return returnMsg;
    }
    function destroy() {

    }

    /**
     * 提示用户若不开通某账号将影响正常交易
     * @param {Object} obj
     * @memberOf {TypeName}
     */
    function confrimOpenAccount(obj) {
        var login_flag = appUtils.getSStorageInfo("login_flag");
        if ($(obj).hasClass("checked")) {
            var accountName = $(obj).html();

            if($(obj).attr('value') == 'zqcyb' && login_flag == '0' || $(obj).attr('value') == 'xjb'){
                $(obj).removeClass("checked");
                $(_pageId + " .rule_list ul:eq(0)").find('#gem_protocol').hide();
            }else{
                if($(obj).attr('value') == 'zqcyb'){
                    accountName = '转签创业板';
                    accountName1 = '创业板';
                } else if ($(obj).attr('value') == '1') {
                    accountName1 = '深市'
                } else {
                    accountName1 = '沪市'
                }
                layerUtils.iConfirm("不开通\"" + accountName + "\"账户，您将不能购买"+accountName1+"的股票和基金，请知晓!", function () {
                    $(obj).removeClass("checked");
                    if($(obj).attr('value') == 'zqcyb'){
                        $(_pageId + " .rule_list ul:eq(0)").find('#gem_protocol').hide();
                    }
                }, null);
            }
        }
        else {
            // 选中当前开通账户
            $(obj).addClass("checked");
            if($(obj).attr('value') == 'zqcyb'){
                $(_pageId + " .rule_list ul:eq(0)").find('#gem_protocol').show();
            }
        }
    }


    function openGdAccount() {
        var openAccountParam = {
            "funcNo": 501534,
            "user_id": appUtils.getSStorageInfo("user_id"),
            // 深A开通情况
            "sza_str": "",
            // 沪A开通情况
            "sha_str": "",
            "clientinfo": appUtils.getSStorageInfo("clientinfo"),
            "jsessionid": appUtils.getSStorageInfo("jsessionid")
        };
        // 深 A 的开通状况
        if ($(_pageId + " .radio_list ul li a[value='1']").hasClass("checked")) {
            openAccountParam.sza_str = "1";
        }
        // 沪 A 的开通状况
        if ($(_pageId + " .radio_list ul li a[value='3']").hasClass("checked")) {
            openAccountParam.sha_str = "1";
        }
        //
        var login_flag = appUtils.getSStorageInfo("login_flag");
        var isOpenEnterprise = $(_pageId + " #selectAccount02").hasClass("checked");//是否开通创业板
        appUtils.invokeServer(global.serverPath, openAccountParam, function (data) {
            if (data.error_no == 0) {
                if (isOpenEnterprise) {
                    // 开通创业板
                    openEnterprise("2");
                } else {
                    if (login_flag == "1") {
                        openEnterprise("");
                    } else if (login_flag == "0") {
                        // 取消协议勾选
                        $(_pageId + " .rule_check a").removeClass("checked");
                        //跳转设置密码页面
                        appUtils.pageInit("account/signProtocol", "account/setPwd", {});
                    }
                }
            }else {
                layerUtils.iLoading(false);
                layerUtils.iAlert(data.error_info);
            }
        }, !isOpenEnterprise);
    }

    function openEnterprise(isOk) {
        var isOpenMon = $(_pageId + " #selectAccount03").hasClass("checked");//是否开通现金宝
        var is_thexjb = 0;//0表示不开通，1为开通
        if(isOpenMon){
            is_thexjb = 1;
        }
        var openEnterpriseParam = {
            "funcNo": 1001015,
            "userid": appUtils.getSStorageInfo("user_id"),
            "is_thegem": isOk,
            "is_thexjb": is_thexjb,
            "clientinfo": appUtils.getSStorageInfo("clientinfo"),
            "jsessionid": appUtils.getSStorageInfo("jsessionid")
        };
        appUtils.invokeServer(global.serverPath, openEnterpriseParam, function (data) {
            if (data.error_no == 0) {
                // 取消协议勾选
                //$(_pageId+" .rule_check a").removeClass("checked");
                //跳转设置密码页面
                appUtils.pageInit("account/signProtocol", "account/setPwd", {});
            }
            else {
                layerUtils.iAlert(data.error_info);
            }
        });
    }

    var signProtocol = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = signProtocol;
});