﻿/**
 * 开户首页
 */
define("project/scripts/business/index",function(require, exports, module){ 
	// 私有业务模块的全局变量 begin
	var appUtils = require("appUtils"),
		shellPlugin = require("shellPlugin"),
		_pageId = "#business_index";
	// 私有业务模块的全局变量 end
	
	function init(){
		
	}
	
	function bindPageEvent(){
		// 绑定新开账户
		appUtils.bindEvent($(_pageId+" .one div"),function(){
			// 设置标识 openChannel 存到 session,new 表示新开户，change 转户
			appUtils.setSStorageInfo("openChannel","new");
			appUtils.pageInit("business/index","account/openAccount",{});
		});
		
		//绑定继续开户
		appUtils.bindEvent($(_pageId+" .two div"),function(){
			// 设置标识 openChannel 存到 session,new 表示新开户，change 转户
			appUtils.setSStorageInfo("openChannel","change");
			appUtils.pageInit("business/index","account/openAccount",{});
		});
	}
	
	function destroy(){
		
	}
	
	var index = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = index;
});