/**
 * Created by EX-ZHANGYANJUN002 on 2015/12/23.
 */

define(function(require, exports, module) {
      var shellPlugin = require("shellPlugin"),
            TD = {
                  record: function(id, label) {
                        var param = {
                              "eventId": this.tdEvent[id],
                              "label": this.tdLabel[label]
                        }
                        shellPlugin.callShellMethod("TDOnEvent", null, null, param);
                  },
                  tdLabel: {
                        WELCOME_0101: "0101-页面停留",
                        WELCOME_0102: "0102-点击热线电话按钮",
                        WELCOME_0103: "0103-点击常见问题按钮",
                        WELCOME_0104: "0104-点击推荐人信息按钮",
                        // WELCOME_0105: "0105-点击推荐人姓名输入框",
                        // WELCOME_0106: "0106-点击推荐人编码输入框",
                        // WELCOME_0107: "0107-点击推荐人信息弹出框取消按钮",
                        // WELCOME_0108: "0108-点击推荐人信息弹出框确定按钮",
                        WELCOME_0109: "0109-点击马上开户按钮",
                        WELCOME_0110: "0110-点击一人多户按钮",
                        WELCOME_0111: "0111-点击开户进度查询按钮",

                        OPENACCOUNT_0401: "0401-页面停留",
                        OPENACCOUNT_0402: "0402-点击热线电话按钮",
                        OPENACCOUNT_0403: "0403-点击常见问题按钮",
                        OPENACCOUNT_0404: "0404-点击返回按钮",
                        OPENACCOUNT_0405: "0405-点击我知道了按钮",

                        OPENACCOUNT_0501: "0501-页面停留",
                        OPENACCOUNT_0502: "0502-点击热线电话按钮",
                        OPENACCOUNT_0503: "0503-点击常见问题按钮",
                        OPENACCOUNT_0504: "0504-点击返回按钮",
                        OPENACCOUNT_0505: "0505-点击我知道了按钮",

                        MSGVERFIY_0601: "0601-页面停留",
                        MSGVERFIY_0602: "0602-点击热线电话按钮",
                        MSGVERFIY_0603: "0603-点击常见问题按钮",
                        MSGVERFIY_0604: "0604-点击手机号输入框",
                        MSGVERFIY_0605: "0605-点击获取验证码按钮",
                        MSGVERFIY_0606: "0606-点击刷新图片验证码按钮",
                        MSGVERFIY_0607: "0607-点击图片验证码码输入框",
                        MSGVERFIY_0608: "0608-点击动态验证码码输入框",
                        MSGVERFIY_0609: "0609-点击下一步按钮",

                        UPLOADPHOTO_0701: "0701-页面停留",
                        UPLOADPHOTO_0702: "0702-点击热线电话按钮",
                        UPLOADPHOTO_0703: "0703-点击常见问题按钮",
                        UPLOADPHOTO_0704: "0704-点击上传身份证正面按钮",
                        UPLOADPHOTO_0705: "0705-点击拍照按钮",
                        UPLOADPHOTO_0706: "0706-点击上传本地照片按钮",
                        // UPLOADPHOTO_0707: "0707-点击重新拍照按钮",
                        // UPLOADPHOTO_0708: "0708-点击使用照片按钮",
                        UPLOADPHOTO_0709: "0709-点击上传身份证反面按钮",
                        UPLOADPHOTO_0710: "0710-点击拍照按钮",
                        UPLOADPHOTO_0711: "0711-点击上传本地照片按钮",
                        // UPLOADPHOTO_0712: "0712-点击重新拍照按钮",
                        // UPLOADPHOTO_0713: "0713-点击使用照片按钮",
                        UPLOADPHOTO_0714: "0714-点击上传人脸正面按钮",
                        UPLOADPHOTO_0715: "0715-点击拍照按钮",
                        UPLOADPHOTO_0716: "0716-点击上传本地照片按钮",
                        // UPLOADPHOTO_0717: "0717-点击重新拍照按钮",
                        // UPLOADPHOTO_0718: "0718-点击使用照片按钮",
                        UPLOADPHOTO_0719: "0719-点击下一步按钮",

                        PERSONINFO_0801: "0801-页面停留",
                        PERSONINFO_0802: "0802-点击热线电话按钮",
                        PERSONINFO_0803: "0803-点击常见问题按钮",
                        PERSONINFO_0804: "0804-点击姓名输入框",
                        PERSONINFO_0805: "0805-点击签发机关输入框",
                        PERSONINFO_0806: "0806-点击证件地址输入框",
                        PERSONINFO_0807: "0807-点击证件起始日期按钮",
                        PERSONINFO_0808: "0808-点击证件截止日期按钮",
                        PERSONINFO_0809: "0809-点击联系地址输入框",
                        PERSONINFO_0810: "0810-点击邮编输入框",
                        PERSONINFO_0811: "0811-点击所属行业下拉框",
                        PERSONINFO_0812: "0812-点击职业下拉框",
                        PERSONINFO_0813: "0813-点击学历下拉框",
                        PERSONINFO_0814: "0814-点击推荐人输入框",
                        PERSONINFO_0815: "0815-点击推荐人编号输入框",
                        PERSONINFO_0816: "0816-点击下一步按钮",

                        SIGNPROTOCOL_0901: "0901-页面停留",
                        SIGNPROTOCOL_0902: "0902-点击热线电话按钮",
                        SIGNPROTOCOL_0903: "0903-点击常见问题按钮",
                        SIGNPROTOCOL_0904: "0904-勾选沪A单选按钮",
                        SIGNPROTOCOL_0905: "0905-勾选深A单选按钮",
                        SIGNPROTOCOL_0906: "0906-勾选同意单选按钮",
                        SIGNPROTOCOL_0907: "0907-点击下一步按钮",

                        SETPWD_1001: "1001-页面停留",
                        SETPWD_1002: "1002-点击热线电话按钮",
                        SETPWD_1003: "1003-点击常见问题按钮",
                        SETPWD_1004: "1004-点击交易密码输入框",
                        SETPWD_1005: "1005-点击再次输入交易密码输入框",
                        SETPWD_1006: "1006-勾选资金密码同交易密码单选按钮",
                        // SETPWD_1007: "1007-点击交易密码开闭眼按钮",
                        SETPWD_1008: "1008-点击资金密码输入框",
                        SETPWD_1009: "1009-点击再次输入资金密码输入框",
                        // SETPWD_1010: "1010-点击资金密码开闭眼按钮",
                        SETPWD_1011: "1011-点击下一步按钮",

                        THIRDDEPOSITORY_1101: "1101-页面停留",
                        THIRDDEPOSITORY_1102: "1102-点击热线电话按钮",
                        THIRDDEPOSITORY_1103: "1103-点击常见问题按钮",
                        THIRDDEPOSITORY_1104: "1104-点击银行卡号输入框",
                        THIRDDEPOSITORY_1105: "1105-点击银行卡密码输入框",
                        THIRDDEPOSITORY_1106: "1106-勾选同意单选按钮",
                        THIRDDEPOSITORY_1107: "1107-点击下一步按钮",

                        RISKASSESSMENT_1201: "1201-页面停留",
                        RISKASSESSMENT_1202: "1202-点击热线电话按钮",
                        RISKASSESSMENT_1203: "1203-点击常见问题按钮",
                        RISKASSESSMENT_1204: "1204-各个问题单选按钮",
                        RISKASSESSMENT_1205: "1205-点击下一步按钮",

                        OPENCONFIRM_1301: "1301-页面停留",
                        OPENCONFIRM_1302: "1302-点击热线电话按钮",
                        OPENCONFIRM_1303: "1303-点击常见问题按钮",
                        OPENCONFIRM_1304: "1304-各个问题单选按钮",
                        OPENCONFIRM_1305: "1305-点击下一步按钮",

                        VIDEONOTICE_1401: "1401-页面停留",
                        VIDEONOTICE_1402: "1402-点击热线电话按钮",
                        VIDEONOTICE_1403: "1403-点击常见问题按钮",
                        VIDEONOTICE_1404: "1404-点击我准备好了按钮",

                        ACCOUNTRESULT_1601: "1601-页面停留",
                        ACCOUNTRESULT_1602: "1602-点击热线电话按钮",
                        ACCOUNTRESULT_1603: "1603-点击常见问题按钮",
                        ACCOUNTRESULT_1604: "1604-勾选注册一卡通单选按钮",
                        ACCOUNTRESULT_1605: "1605-点击评分按钮",
                        ACCOUNTRESULT_1606: "1606-点击下载按钮",
                        ACCOUNTRESULT_1705: "1705-点击完成并退出按钮"

                  },
                  tdEvent: {
                        WELCOME: '01-开户须知页面',
                        OPENACCOUNT: '04-开户须知页面（新开户）',
                        OPENACCOUNT_05: '05-开户须知页面（一人多户）',
                        MSGVERFIY: '06-手机动态码输入页面',
                        UPLOADPHOTO: '07-上传影像页面',
                        PERSONINFO: '08-个人信息页面',
                        SIGNPROTOCOL: '09-选择开立帐户页面',
                        SETPWD: '10-设置密码页面',
                        THIRDDEPOSITORY: '11-三方存管绑定页面',
                        RISKASSESSMENT: '12-风险测评页面',
                        OPENCONFIRM: '13-问卷回访页面',
                        VIDEONOTICE: '14-视频认证注意事项页面',
                        ACCOUNTRESULT: '16-开户结果页面'
                  },
                  changeColor : function (){
                        // 陆金所换肤
                        shellPlugin.callShellMethod("toH5deviceSkinColor", function (data) {
                              skinColor=data;
                              // 回调数据中的 data 是字符串，需解析
                              if(typeof (data) == "string"){
                                    skinColor = JSON.parse(skinColor);
                              }
                              if(skinColor){
                                    var skinColor = skinColor.SkinColor;
                                    var targetColor = "";
                                    sessionStorage.setItem("skinColor",skinColor);
                                    var body = document.getElementsByTagName("body")[0];
                                    if(skinColor == "ljs"){
                                          targetColor = "skinblue";
                                    }
                                    body.setAttribute("class",targetColor);
                              }
                        } , null, null);
                  }
            };
      module.exports = TD;
});